from sqlobject import *
from formencode import schema, validators

class BlogPost(SQLObject):
    title = StringCol()
    body = StringCol()
    date = DateCol()

class BlogPostScheme(schema.Schema):
    allow_extra_fields = True
    filter_extra_fields = True
  
    title = validators.String(not_empty=True, length=1024)
    body = validators.String(not_empty=True)
    date = DateCol()
