<?php

/*
header("Content-Type: text/xml");

printf('<');
printf('?xml version="1.0" encoding="iso-8859-1" ?>');
 */

// $Id$

/* 
   picpages now in PHP

   main author: 	jose nazario <jose@monkey.org>
   contributing author: eldan goldstein <eldan@eldan.co.uk> [CSS work]
   validation help:     cameron and natarajan
 */

/*
  Copyright 2002-2004 Jose Nazario 
  All rights reserved.
 
  Redistribution and use in source and binary forms, with or without
  modification, are permitted provided that the following conditions
  are met:
  1. Redistributions of source code must retain the above copyright
     notice, this list of conditions and the following disclaimer.
  2. Redistributions in binary form must reproduce the above copyright
     notice, this list of conditions and the following disclaimer in the
     documentation and/or other materials provided with the distribution.
 
  THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
  IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
  OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
  IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
  INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
  THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

 */

function get_filelist() {
        $directory = opendir(".");
        $filelist = array();
        $i=0;
        while ($file = readdir($directory)) {
		if ((strstr($file, "JPG") != FALSE) &&
		    (strstr($file, "sm-") != TRUE)) {
                	$filelist[$i]=$file;
                	$i++;
		}
        }
        closedir($directory);
	sort($filelist);
	return $filelist;
}

function num_pics() {
        $directory = opendir(".");
        $filelist = array();
        $i=0;
        while ($file = readdir($directory)) {
		if ((strstr($file, "JPG") != FALSE) &&
		    (strstr($file, "sm-") != TRUE)) {
                	$filelist[$i]=$file;
                	$i++;
		}
        }
        closedir($directory);
	return $i - 1;
}

/*
function get_title() {
        ob_start();
        $retval = @readfile("TITLE");
        if (false !== $retval) {
                $retval = ob_get_contents();
        }
        ob_end_clean();
        return trim($retval);
}
 */

function get_caption($num) {
	$fname = $num . ".txt";
	ob_start();
	$retval = @readfile($fname);
	if (false !== $retval) {
		$retval = ob_get_contents();
	}
	ob_end_clean();
	return $retval;
}

function get_contents($filename) {
        ob_start();
        $retval = @readfile($filename);
        if (false !== $retval) {
                $retval = ob_get_contents();
        }
        ob_end_clean();
        return trim($retval);
}

// main()

if ($_GET["p"] != "") {
	$cur = $_GET["p"];
} else {
	$cur = 0;
}

$version = "1.0.1";

$files = get_filelist();
$total = num_pics();
$caption = get_caption($cur);
$email = get_contents("EMAIL");
$homepage = get_contents("HOMEPAGE");
$name = get_contents("NAME");
$title = get_contents("TITLE");

$prev_pic = $cur - 1;
if (($prev_pic < -1) == 1) {
	$prev_pic = $total;
	$cur = $total;
}
$next_pic = $cur + 1;
if (($next_pic > ($total + 1)) == 1) {
	$next_pic = 0;
	$cur = 0;
}

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" >

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">

<head>

<link rel="stylesheet" type="text/css" href="ppstyles.css" />
                
<?php	printf("<title>%s [%d/%d]</title>\n", $title, $cur, $total); ?>
        </head>
        <body>

<?php   printf("<!-- generated by picpages %s -->\n", $version); ?>

    <table id="top_bar">
      <tr><td id="title_cell"> 
        <h1><?php printf("%s", $title); ?> </h1>
      </td>
      <td id="prev_cell">
      <h2><?php printf("<a href=\"?p=%d\">prev</a>", $prev_pic); ?></h2>
      </td>
      <td id="next_cell">
      <h2><?php printf("<a href=\"?p=%d\">next</a>", $next_pic); ?></h2>
      </td>
  </tr>
</table>

<TR>

    <table id="top_bar">
<td id="title_cell" ALIGN=RIGHT>
<FONT FACE="Helvetica,Arial" color="white" SIZE=-2>
<a href="photoindex.php">photo index</font></a>
</font>
</td>
</tr>
</table>

<table id="pic_table">
  <tr>

<td id="pic_cell" >
<br />
page <?php printf("%d ", $cur); ?> of <?php printf("%d\n", $total); ?>
<br />

<span class="main_img">
<?php 
	printf("<a href=\"?p=%d\">\n", $cur + 1); 
	// printf("<img id=\"main_pic\" name=\"main_pic\" src=\"%s\" alt=\"picture goes here\" />", $files[$cur]);
	printf("<img id=\"main_pic\" src=\"%s\" alt=\"picture goes here\" />", $files[$cur]);
?></a>
</span>
<br /> <br />

<?php
	printf("%s\n", $caption);
?>

</td>
</tr>
<tr>
<td id="list_cell" >

<?php
	for ($j = 0; $j <= $total; $j++) {
        	printf("<a href=\"?p=%d\">%d</a> \n", $j, $j);
	}
?>

</td>
</tr>
<tr>
<td id="credits_cell" >

<?php
	$lastmod = date("l, M d, Y @ h:ia", filemtime($files[$cur]));
	echo "<p><span class=\"lastmod\">" . $lastmod ."</span><br />\n";

	printf("<a href=\"%s\">%s</a> | \n", $homepage, $name);
	printf("<a href=\"mailto:%s\">%s</a><br />\n", $email, $email);
 	printf("copyright %s 2004 %s, all rights reserved.<br />\n", "&copy;", $name);
	printf("Powered by <a href=\"http://www.monkey.org/~jose/software/picpages/\">picpages %s</a>\n", $version);

?>

</p>
</td></tr></table>

</body>
</html>

